Skip to content
lightweight client for AXE network
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
contrib Update build_appimage.sh Jun 12, 2019
debian Update py3dist-overrides Jun 5, 2019
docs version bump Nov 27, 2018
electrum_axe Update checkpoints Jun 12, 2019
pubkeys update pgp key Jan 19, 2019
.flake8 Create .flake8 Apr 18, 2019
.gitignore Update .gitignore Apr 18, 2019
.gitmodules Add CalinsQRRreader Jun 12, 2019
.latest-version Update env Jun 5, 2019
.travis.yml Update CI Apr 18, 2019
AUTHORS init May 11, 2018
LICENCE init May 11, 2018
MANIFEST.in Update MANIFEST.in Apr 18, 2019
README.rst fix icon path Apr 19, 2019
RELEASE-NOTES Update RELEASE-NOTES Jun 5, 2019
electrum-axe Update electrum-axe Jun 5, 2019
electrum-axe-env edit Apr 18, 2019
electrum-axe.desktop Update electrum-axe.desktop Apr 18, 2019
electrum-axe.icns update icon Jul 20, 2018
setup.py Update setup.py Jun 5, 2019
tox.ini Update tox.ini Apr 18, 2019

README.rst

Axe Electrum - Lightweight AXE client

Electrum-AXE logo

Build Status

Getting started

Use PPA setup

On Ubuntu/Linux Mint you can try to install Axe Electrum with next commands:

sudo add-apt-repository ppa:axerunners/axe-electrum
sudo apt-get update
sudo apt-get install axe-electrum

Use source distribution

Axe Electrum is a pure python application. If you want to use the Qt interface, install the Qt dependencies:

sudo apt-get install python3-pyqt5

If you downloaded the official package (tar.gz), you can run Axe Electrum from its root directory without installing it on your system; all the python dependencies are included in the 'packages' directory (except x11-hash).

To install x11-hash dependency in the 'packages' dir run once:

python3 -m pip install -t packages x11-hash

To install precise tested versions of HW libs (trezor, ledeger, etc) run once:

python3 -m pip install -t packages -r contrib/deterministic-build/requirements-hw.txt

To install precise tested version of pyqt5 run once:

python3 -m pip install -t packages -r contrib/deterministic-build/requirements-binaries.txt

To run Axe Electrum from its root directory, just do:

./electrum-axe

You can also install Axe Electrum on your system, by running this command:

sudo apt-get install python3-setuptools
python3 -m pip install .[fast]

This will download and install the Python dependencies used by Axe Electrum instead of using the 'packages' directory. The 'fast' extra contains some optional dependencies that we think are often useful but they are not strictly needed.

If you cloned the git repository, you need to compile extra files before you can run Axe Electrum. Read the next section, "Development Version".

Using Tor proxy

Starting from Axe Electrum release 3.2.3.1 automatic Tor Proxy detection and use on wallet startup is added to Network preferences.

To use Tor Proxy on Ubuntu set it up with:

sudo apt-get install tor
sudo service tor start

Other platforms setup is described at docs/tor.md

Development version

Check out the code from GitHub:

git clone https://github.com/axerunners/electrum-axe.git
cd electrum-axe

Run install (this should install dependencies):

python3 -m pip install .[fast]

Compile the protobuf description file:

sudo apt-get install protobuf-compiler
protoc --proto_path=electrum_axe --python_out=electrum_axe electrum_axe/paymentrequest.proto

Create translations (optional):

sudo apt-get install python-requests gettext
./contrib/make_locale
You can’t perform that action at this time.